Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058881 - Review Request: tesla-tycho-support - Tesla Tycho Base
Summary: Review Request: tesla-tycho-support - Tesla Tycho Base
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1058879
Blocks: 1058883 1058893 1058897 1058902 1058911 1058914 1058923 1059393
TreeView+ depends on / blocked
 
Reported: 2014-01-28 17:00 UTC by Mikolaj Izdebski
Modified: 2014-01-29 20:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-29 13:43:03 UTC
puntogil: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-01-28 17:00:29 UTC
Spec URL: http://mizdebsk.fedorapeople.org/review/tesla-tycho-support/tesla-tycho-support.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/tesla-tycho-support/tesla-tycho-support-0.0.7-1.fc21.src.rpm
Description: Tesla is a next generation development infrastructure framework.  This package provides Maven POM file which serves as the base of Tycho projects which have plugins, tests, and deployable features.  Everything that is required is provided and parameterized by specifying properties in the host POM.
Fedora Account System Username: mizdebsk

Comment 1 gil cattaneo 2014-01-28 19:22:23 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines
 IGNORE
- This seems like a Java package, please install fedora-review-plugin-java to
  get additional checks
 IGNORE

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.33 starting...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Mock Version: 1.1.33
INFO: Mock Version: 1.1.33
Start: lock buildroot
INFO: installing package(s): /home/gil/1058881-tesla-tycho-support/results/tesla-tycho-support-0.0.7-1.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/fedora-rawhide-i386/root/', 'install', '/home/gil/1058881-tesla-tycho-support/results/tesla-tycho-support-0.0.7-1.fc21.noarch.rpm', '--setopt=tsflags=nocontexts']
Errore: Pacchetto: tesla-tycho-support-0.0.7-1.fc21.noarch (/tesla-tycho-support-0.0.7-1.fc21.noarch)
            Richiede: mvn(io.tesla:tesla)
 Si può provare ad usare --skip-broken per aggirare il problema
 Provare ad eseguire: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: tesla-tycho-support-0.0.7-1.fc21.noarch.rpm
          tesla-tycho-support-0.0.7-1.fc21.src.rpm
tesla-tycho-support.noarch: W: spelling-error %description -l en_US deployable -> deplorable, deploy able, deploy-able
tesla-tycho-support.noarch: W: spelling-error %description -l en_US parameterized -> parameter
tesla-tycho-support.src: W: spelling-error %description -l en_US deployable -> deplorable, deploy able, deploy-able
tesla-tycho-support.src: W: spelling-error %description -l en_US parameterized -> parameter
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Requires
--------
tesla-tycho-support (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(io.tesla:tesla)
    mvn(org.eclipse.tycho:target-platform-configuration)
    mvn(org.eclipse.tycho:tycho-maven-plugin)
    mvn(org.fedoraproject:feclipse-maven-plugin)



Provides
--------
tesla-tycho-support:
    mvn(io.tesla.tycho:tycho-support)
    mvn(io.tesla.tycho:tycho-support:pom:)
    tesla-tycho-support



Source checksums
----------------
https://github.com/tesla/tycho-support/archive/tycho-support-0.0.7.tar.gz :
  CHECKSUM(SHA256) this package     : 7175aaf25796ecc9691af94ad90b49fe548bb9080371aca1f92365bd309e58f6
  CHECKSUM(SHA256) upstream package : 7175aaf25796ecc9691af94ad90b49fe548bb9080371aca1f92365bd309e58f6
http://www.eclipse.org/legal/epl-v10.html :
  CHECKSUM(SHA256) this package     : a40741b59364cc49449255e9b9bfe1fcfe6a2e7ab4d37ca89db3bacbfb14e9d2
  CHECKSUM(SHA256) upstream package : a40741b59364cc49449255e9b9bfe1fcfe6a2e7ab4d37ca89db3bacbfb14e9d2


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1058881 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

ISSUES:

[!]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

[!]: Package does not include license text files separate from upstream.

Comment 2 Mikolaj Izdebski 2014-01-28 19:31:11 UTC
(In reply to gil cattaneo from comment #1)
> ISSUES:
> 
> [!]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> 
> [!]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> 
> [!]: Package does not include license text files separate from upstream.

This POm file is licensed under the terms of EPL, so the license text must be installed.  See: https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Text

Comment 3 gil cattaneo 2014-01-28 19:34:02 UTC
please open a bug for query upstream to include license text(s)

Comment 4 Mikolaj Izdebski 2014-01-28 19:37:55 UTC
I will, but that IMO shouldn't be a review blocker.

Comment 5 Mikolaj Izdebski 2014-01-28 19:43:39 UTC
Thank you.

Comment 6 Mikolaj Izdebski 2014-01-28 19:44:45 UTC
New Package SCM Request
=======================
Package Name: tesla-tycho-support
Short Description: Tesla Tycho Base
Owners: mizdebsk msrb sochotni
Branches: f20
InitialCC: java-sig

Comment 7 Gwyn Ciesla 2014-01-29 13:13:15 UTC
Git done (by process-git-requests).

Comment 8 Mikolaj Izdebski 2014-01-29 13:43:03 UTC
Commited and built for rawhide:
http://koji.fedoraproject.org/koji/taskinfo?taskID=6467885

Closing.


Note You need to log in before you can comment on or make changes to this bug.